<template>
  <div class="panel">
    <h2 class="panel-title" @dblclick="visible = !visible">{{title}}</h2>
    <transition name="panel-fade">
      <div v-show="visible">
        <slot class="panel-content"></slot>
      </div>
    </transition>
  </div>
</template>

<script>
export default {
  props: ["title"],
  data() {
    return {
      visible: true
    };
  }
};
</script>

<style lang="scss" scoped>
img {
  width: 100%;
}

/* estilo do painel */

.panel {
  padding: 0 auto;
  border: solid 2px grey;
  display: inline-block;
  margin: 5px;
  box-shadow: 5px 5px 10px grey;
  width: 200px;
  height: 100%;
  vertical-align: top;
  text-align: center;
}

.panel .panel-title {
  text-align: center;
  border: solid 2px;
  background: lightblue;
  margin: 0 0 15px 0;
  padding: 10px;
  text-transform: uppercase;
}

* {
  box-shadow: 5px 5px 5px;
}

.panel-fade-enter,
.panel-fade-leave-active {
  opacity: 0;
}

.panel-fade-enter-active,
.panel-fade-leave-active {
  transition: opacity 0.4s;
}
</style>
